Bug 2221421

Summary: Review Request: qrtr - Service listing daemon for Qualcomm IPC Router
Product: [Fedora] Fedora Reporter: Davide Cavalca <davide>
Component: Package ReviewAssignee: Mattia Verga <mattia.verga>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mattia.verga, package-review
Target Milestone: ---Flags: mattia.verga: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-09-06 01:34:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2221422, 2221423, 2221424, 2221425    

Description Davide Cavalca 2023-07-08 23:01:11 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/qrtr/qrtr.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/qrtr/qrtr-1.0-1.fc39.src.rpm

Description:
This package provides the userspace component for the Qualcomm IPC Router
protocol, which maintains a service listing and allows peforming lookups.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2023-07-08 23:01:14 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=103107151

Comment 2 Mattia Verga 2023-09-04 14:07:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/qlogging-
  categories6/modemmanagerqt.categories
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_duplicate_files
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/rpmbuild/review/2235595-kf6-modemmanager-qt/diff.txt
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/
- Check licenses. You're packaging all license under 'LICENSES', but only a subset
  seems to be used in the final binary RPM (BSD-3-Clause is only used in cmake directive,
  CC0-1.0 is only used in gitlab ci test definitions, LGPL-3-only seems unused).
  Moreover, there are a couple of LicenseRef-KDE-Accepted-* license files which are
  not recognized by Fedora licensing, please check with Fedora legal if they are to
  be included in the final package.
- No known owner of /usr/include/KF6 I suppose this is an issue of kf6-filesystem


===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU Lesser General Public License, Version 2.1", "Unknown or
     generated", "Creative Commons CC0 1.0", "*No copyright* BSD 3-Clause
     License", "*No copyright* Creative Commons CC0 1.0", "GNU General
     Public License, Version 2", "GNU Lesser General Public License,
     Version 3", "*No copyright* GNU General Public License, Version 3",
     "*No copyright* GNU Lesser General Public License, Version 3", "BSD
     3-Clause License". 69 files have unknown license. Detailed output of
     licensecheck in /home/rpmbuild/review/2235595-kf6-modemmanager-
     qt/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/include/KF6
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/include/KF6
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 7946 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     kf6-modemmanager-qt-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename:
     /home/rpmbuild/review/2235595-kf6-modemmanager-qt/srpm-
     unpacked/kf6-modemmanager-qt.spec
     See: (this test has no URL)
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: kf6-modemmanager-qt-5.240.0^20230813.164311.fa71a4d-1.fc40.x86_64.rpm
          kf6-modemmanager-qt-devel-5.240.0^20230813.164311.fa71a4d-1.fc40.x86_64.rpm
          kf6-modemmanager-qt-debuginfo-5.240.0^20230813.164311.fa71a4d-1.fc40.x86_64.rpm
          kf6-modemmanager-qt-debugsource-5.240.0^20230813.164311.fa71a4d-1.fc40.x86_64.rpm
          kf6-modemmanager-qt-5.240.0^20230813.164311.fa71a4d-1.fc40.src.rpm
====================================== rpmlint session starts ======================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpdpu1taiy')]
checks: 31, packages: 5

kf6-modemmanager-qt.src: W: strange-permission kf6-modemmanager-qt.spec 600
kf6-modemmanager-qt-devel.x86_64: W: no-documentation
kf6-modemmanager-qt.src: W: description-shorter-than-summary
kf6-modemmanager-qt.x86_64: W: description-shorter-than-summary
======= 5 packages and 0 specfiles checked; 0 errors, 4 warnings, 0 badness; has taken 1.2 s =======




Rpmlint (debuginfo)
-------------------
Checking: kf6-modemmanager-qt-debuginfo-5.240.0^20230813.164311.fa71a4d-1.fc40.x86_64.rpm
====================================== rpmlint session starts ======================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpim7n8kw2')]
checks: 31, packages: 1

======= 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.2 s =======





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 4

kf6-modemmanager-qt-devel.x86_64: W: no-documentation
kf6-modemmanager-qt.x86_64: W: description-shorter-than-summary
 4 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.4 s 



Source checksums
----------------
https://invent.kde.org/frameworks/modemmanager-qt/-/archive/fa71a4d9aeca8d836689c0ec11b19c0dd948cae6/modemmanager-qt-fa71a4d.tar.gz :
  CHECKSUM(SHA256) this package     : bffb0ddb626085a129c805b547aa4484ef3e28851064cdb245ae06e4b9b63085
  CHECKSUM(SHA256) upstream package : b1893692862e5def2463670624b1c69eb7b75b2d1dde2f3ae78bf79bddf9c0ca
diff -r also reports differences


Requires
--------
kf6-modemmanager-qt (rpmlib, GLIBC filtered):
    kf6-filesystem
    libQt6Core.so.6()(64bit)
    libQt6Core.so.6(Qt_6)(64bit)
    libQt6Core.so.6(Qt_6.5)(64bit)
    libQt6DBus.so.6()(64bit)
    libQt6DBus.so.6(Qt_6)(64bit)
    libQt6Xml.so.6()(64bit)
    libQt6Xml.so.6(Qt_6)(64bit)
    libc.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

kf6-modemmanager-qt-devel (rpmlib, GLIBC filtered):
    ModemManager-devel
    cmake-filesystem(x86-64)
    kf6-modemmanager-qt
    libKF6ModemManagerQt.so.6()(64bit)
    qt6-qtbase-devel

kf6-modemmanager-qt-debuginfo (rpmlib, GLIBC filtered):

kf6-modemmanager-qt-debugsource (rpmlib, GLIBC filtered):



Provides
--------
kf6-modemmanager-qt:
    kf6-modemmanager-qt
    kf6-modemmanager-qt(x86-64)
    libKF6ModemManagerQt.so.6()(64bit)

kf6-modemmanager-qt-devel:
    cmake(KF6ModemManagerQt)
    cmake(kf6modemmanagerqt)
    kf6-modemmanager-qt-devel
    kf6-modemmanager-qt-devel(x86-64)

kf6-modemmanager-qt-debuginfo:
    debuginfo(build-id)
    kf6-modemmanager-qt-debuginfo
    kf6-modemmanager-qt-debuginfo(x86-64)
    libKF6ModemManagerQt.so.5.240.0-5.240.0^20230813.164311.fa71a4d-1.fc40.x86_64.debug()(64bit)

kf6-modemmanager-qt-debugsource:
    kf6-modemmanager-qt-debugsource
    kf6-modemmanager-qt-debugsource(x86-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2235595
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Shell-api, Generic
Disabled plugins: fonts, Python, PHP, Perl, Ocaml, SugarActivity, Java, Haskell, R
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 3 Mattia Verga 2023-09-04 14:08:10 UTC
OH NO! Sorry, I've posted the wrong review.
Please do not consider the above!

Comment 4 Mattia Verga 2023-09-04 14:29:35 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- qrtr-1.0/src/map.c is BSD-2 licensed

- the main package doesn't requires -libs, is that correct? If so, you have to
  add %license to main package file listing


===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License", "BSD 2-Clause
     License". 21 files have unknown license. Detailed output of
     licensecheck in /home/rpmbuild/review/2221421-qrtr/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in qrtr
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[?]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qrtr-
     libs
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qrtr-1.0-1.fc40.x86_64.rpm
          qrtr-libs-1.0-1.fc40.x86_64.rpm
          qrtr-devel-1.0-1.fc40.x86_64.rpm
          qrtr-debuginfo-1.0-1.fc40.x86_64.rpm
          qrtr-debugsource-1.0-1.fc40.x86_64.rpm
          qrtr-1.0-1.fc40.src.rpm
====================================== rpmlint session starts ======================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpn48xrv9q')]
checks: 31, packages: 6

qrtr.x86_64: W: no-manual-page-for-binary qrtr-cfg
qrtr.x86_64: W: no-manual-page-for-binary qrtr-lookup
qrtr.x86_64: W: no-manual-page-for-binary qrtr-ns
qrtr.x86_64: W: no-documentation
qrtr-devel.x86_64: W: no-documentation
======= 6 packages and 0 specfiles checked; 0 errors, 5 warnings, 0 badness; has taken 0.9 s =======




Rpmlint (debuginfo)
-------------------
Checking: qrtr-debuginfo-1.0-1.fc40.x86_64.rpm
          qrtr-libs-debuginfo-1.0-1.fc40.x86_64.rpm
====================================== rpmlint session starts ======================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp5wnc3x5s')]
checks: 31, packages: 2

======= 2 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.3 s =======





Rpmlint (installed packages)
----------------------------
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 6

qrtr.x86_64: W: no-manual-page-for-binary qrtr-cfg
qrtr.x86_64: W: no-manual-page-for-binary qrtr-lookup
qrtr.x86_64: W: no-manual-page-for-binary qrtr-ns
qrtr.x86_64: W: no-documentation
qrtr-devel.x86_64: W: no-documentation
 6 packages and 0 specfiles checked; 0 errors, 5 warnings, 0 badness; has taken 1.1 s 



Source checksums
----------------
https://github.com/andersson/qrtr/archive/v1.0/qrtr-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : dc5db4872ff0d3c43b5c6d115fadc94f393c9c8c89b4246e327853b466d6c49f
  CHECKSUM(SHA256) upstream package : dc5db4872ff0d3c43b5c6d115fadc94f393c9c8c89b4246e327853b466d6c49f


Requires
--------
qrtr (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    rtld(GNU_HASH)

qrtr-libs (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

qrtr-devel (rpmlib, GLIBC filtered):
    libqrtr.so.1()(64bit)
    qrtr(x86-64)

qrtr-debuginfo (rpmlib, GLIBC filtered):

qrtr-debugsource (rpmlib, GLIBC filtered):



Provides
--------
qrtr:
    qrtr
    qrtr(x86-64)

qrtr-libs:
    libqrtr.so.1()(64bit)
    qrtr-libs
    qrtr-libs(x86-64)

qrtr-devel:
    qrtr-devel
    qrtr-devel(x86-64)

qrtr-debuginfo:
    debuginfo(build-id)
    qrtr-debuginfo
    qrtr-debuginfo(x86-64)

qrtr-debugsource:
    qrtr-debugsource
    qrtr-debugsource(x86-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2221421
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Perl, Java, R, SugarActivity, Haskell, fonts, PHP, Python, Ocaml
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 5 Davide Cavalca 2023-09-04 17:43:04 UTC
> - the main package doesn't requires -libs, is that correct? If so, you have to add %license to main package file listing

It will pull it in implicitly via the soname requires, but you're right, an explicit one is more appropriate here.

Comment 6 Davide Cavalca 2023-09-04 17:47:36 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/qrtr/qrtr.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/qrtr/qrtr-1.0-1.fc40.src.rpm

Changelog:
- correct license breakdown
- add explicit Requires for -libs to the main package
- make devel package Requires -libs instead of the main package

Comment 7 Mattia Verga 2023-09-05 07:14:25 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License", "BSD 2-Clause
     License". 21 files have unknown license. Detailed output of
     licensecheck in /home/rpmbuild/review/2221421-qrtr/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: systemd_post is invoked in %post, systemd_preun in %preun, and
     systemd_postun in %postun for Systemd service files.
     Note: Systemd service file(s) in qrtr
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://github.com/andersson/qrtr/archive/v1.0/qrtr-1.0.tar.gz
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/SourceURL/
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qrtr-
     libs , qrtr-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qrtr-1.0-1.fc40.x86_64.rpm
          qrtr-libs-1.0-1.fc40.x86_64.rpm
          qrtr-devel-1.0-1.fc40.x86_64.rpm
          qrtr-debuginfo-1.0-1.fc40.x86_64.rpm
          qrtr-debugsource-1.0-1.fc40.x86_64.rpm
          qrtr-1.0-1.fc40.src.rpm
====================================== rpmlint session starts ======================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpiayi3tto')]
checks: 31, packages: 6

qrtr.x86_64: W: no-manual-page-for-binary qrtr-cfg
qrtr.x86_64: W: no-manual-page-for-binary qrtr-lookup
qrtr.x86_64: W: no-manual-page-for-binary qrtr-ns
qrtr.x86_64: W: no-documentation
qrtr-devel.x86_64: W: no-documentation
======= 6 packages and 0 specfiles checked; 0 errors, 5 warnings, 0 badness; has taken 1.2 s =======




Rpmlint (debuginfo)
-------------------
Checking: qrtr-libs-debuginfo-1.0-1.fc40.x86_64.rpm
          qrtr-debuginfo-1.0-1.fc40.x86_64.rpm
====================================== rpmlint session starts ======================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpsoyytw6b')]
checks: 31, packages: 2

======= 2 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.3 s =======





Rpmlint (installed packages)
----------------------------
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 6

qrtr.x86_64: W: no-manual-page-for-binary qrtr-cfg
qrtr.x86_64: W: no-manual-page-for-binary qrtr-lookup
qrtr.x86_64: W: no-manual-page-for-binary qrtr-ns
qrtr.x86_64: W: no-documentation
qrtr-devel.x86_64: W: no-documentation
 6 packages and 0 specfiles checked; 0 errors, 5 warnings, 0 badness; has taken 1.2 s 



Requires
--------
qrtr (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    qrtr-libs(x86-64)
    rtld(GNU_HASH)

qrtr-libs (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

qrtr-devel (rpmlib, GLIBC filtered):
    libqrtr.so.1()(64bit)
    qrtr-libs(x86-64)

qrtr-debuginfo (rpmlib, GLIBC filtered):

qrtr-debugsource (rpmlib, GLIBC filtered):



Provides
--------
qrtr:
    qrtr
    qrtr(x86-64)

qrtr-libs:
    libqrtr.so.1()(64bit)
    qrtr-libs
    qrtr-libs(x86-64)

qrtr-devel:
    qrtr-devel
    qrtr-devel(x86-64)

qrtr-debuginfo:
    debuginfo(build-id)
    qrtr-debuginfo
    qrtr-debuginfo(x86-64)

qrtr-debugsource:
    qrtr-debugsource
    qrtr-debugsource(x86-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2221421
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: SugarActivity, fonts, Ocaml, R, Python, Perl, Java, PHP, Haskell
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 8 Mattia Verga 2023-09-05 07:14:47 UTC
Package APPROVED

Comment 9 Fedora Admin user for bugzilla script actions 2023-09-06 01:19:38 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/qrtr

Comment 10 Fedora Update System 2023-09-06 01:33:00 UTC
FEDORA-2023-6a30e63424 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6a30e63424

Comment 11 Fedora Update System 2023-09-06 01:34:37 UTC
FEDORA-2023-6a30e63424 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-09-06 01:50:45 UTC
FEDORA-2023-bf9726a79f has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-bf9726a79f

Comment 13 Fedora Update System 2023-09-06 02:07:10 UTC
FEDORA-2023-c165f5dd0a has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c165f5dd0a

Comment 14 Fedora Update System 2023-09-07 02:23:29 UTC
FEDORA-2023-bf9726a79f has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-bf9726a79f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-bf9726a79f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-09-07 02:40:01 UTC
FEDORA-2023-c165f5dd0a has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c165f5dd0a \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c165f5dd0a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2023-09-15 01:41:52 UTC
FEDORA-2023-c165f5dd0a has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2023-09-15 18:49:46 UTC
FEDORA-2023-bf9726a79f has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.